-- Pulls back the Addon-Local Variables and store them locally.
local addonName, addonTable = ...;
local addon = _G[addonName];
local L = LibStub("AceLocale-3.0"):GetLocale(addonName);

-- Store local copies of Blizzard API and other addon global functions and variables
local GetTime = GetTime;

-- Base Mana by level for all classes, casters is multiplied by 5.
addonTable.BASE_MANA = { 29, 32, 35, 38, 41, 44, 47, 50, 58, 67, 78, 89, 102, 116, 147, 165, 173, 182, 190, 199, 212, 225, 239, 281, 298, 311, 324, 338, 352, 366, 422, 443, 464, 485, 508, 523, 539, 605, 622, 639, 654, 669, 684, 699, 774, 788, 803, 818, 834, 915, 932, 950, 967, 1056, 1076, 1096, 1117, 1138, 1159, 1260, 1284, 1308, 1332, 1357, 1383, 1409, 1435, 1462, 1583, 1613, 1643, 1674, 1706, 1738, 1771, 1804, 1838, 1872, 2020, 2058, 2097, 2136, 2176, 2217, 2259, 2301, 2345, 2521, 2569, 2617, 2666, 2717, 2768, 2820, 2873, 2927, 3139, 3198, 3258, 3319, 3382, 3446, 3510, 3576, 3644, 3712, 3782, 3853, 3926, 4000, 7197, 8478, 9740, 10909, 11910, 12940, 13701, 14490, 15480, 20000 };

addonTable.Blacklist = {
	-- Custom List (User Defined), must be a valid Lua Boolean or Function as Value and have the npcID as Key
	UserDefined = {},

	-- Custom Cycle List (User Defined), must be a valid Lua Boolean or Function as Value and have the npcID as Key
	CycleUserDefined = {},
};

-- Color Tags
addonTable.COLORS = {
	CLASS = {
		[1] = "|cFFC79C6E",
		[2] = "|cFFF58CBA",
		[3] = "|cFFABD473",
		[4] = "|cFFFFF569",
		[5] = "|cFFFFFFFF",
		[6] = "|cFFC41F3B",
		[7] = "|cFF0070DE",
		[8] = "|cFF69CCF0",
		[9] = "|cFF9482C9",
		[10] = "|cFF00FF96",
		[11] = "|cFFFF7D0A",
		[12] = "|cFFA330C9",
	},

	TAGS = {
		ACTIVE = "|cFF00FF00",
		DEFAULT = "|cFF7FCCFF",
		HIGHLIGHT = "|cFF1784D1",
		INACTIVE = "|cFFFF0000",
		MESSAGE = "|cFFFFFF00",
	},
};

-- Records time combat started and ended.
addonTable.Combat = {
	Start = 0,
	End = 0
};

-- Custom Cycle List (User Defined), must be a valid Lua Boolean or Function as Value and have the npcID as Key
addonTable.CycleUserDefined = {
	--- Legion
	----- Trial of Valor (T19 - 7.1 Patch) -----
	-- Helya
	-- Bilewater Slime
	[114553] = function(self)
		return self.HealthPercent() >= 65;
	end,
	-- Decaying Minion
	[114568] = true,
	-- Helarjar Mistwatcher
	[116335] = true,
	----- Nighthold (T19 - 7.1.5 Patch) -----
	-- Trilliax
	-- Scrubber
	[104596] = true,
	-- Spellblade Aluriel
	-- Fel Soul
	[115905] = true,
	-- Botanist Tel'Arn (Mythic Only)
	-- Naturalist Tel'Arn
	[109041] = function()
		return addon.Units.Player.InstanceDifficulty() == 16;
	end,
	-- Arcanist Tel'Arn
	[109040] = function()
		return addon.Units.Player.InstanceDifficulty() == 16;
	end,
	-- Solarist Tel'Arn
	[109038] = function()
		return addon.Units.Player.InstanceDifficulty() == 16;
	end,
	-- Star Augur Etraeus
	-- Voidling
	[104688] = true,
	----- Tomb of Sargeras (T20 - 7.2.5 Patch) -----
	-- Mistress Sassz'ine
	-- Abyss Stalker
	[115795] = true,
	-- Razorjaw Waverunner
	[115902] = true,
	-- Fallen Avatar
	-- Maiden of Valor
	[120437] = true,
};

-- SpellIDs
addonTable.GLOBAL_COOLDOWN = 61304;

-- Stores the time of last action, this is set to current time by default on startup.
addonTable.LastAction = GetTime();

-- Distance to use for showing nameplates, and maximum range of spells with range specified.
addonTable.nameplateDistance = 0;

-- Variables for performing Opening Rotations.
addonTable.Opener = {};
addonTable.OpenerRunning = false;

-- Table to hold various functions in regards to prediction.
addonTable.Prediction = {};

-- Table for spells who came off cooldown early.
addonTable.ReactSpells = {};

-- Table for holding previously cast spells.
addonTable.PreviousSpell = {
	All = {},
	GCD = {},
	OffGCD = {},

	PetAll = {},
	PetGCD = {},
	PetOffGCD = {},
};

-- Stores DBM/BigWigs pull timer information.
addonTable.PullTimer = {};

-- Table for holding registered rotations
addonTable.RegisteredRotations = {};

-- General Tags
addonTable.TAGS = {
	END = "|r",
};