local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[8] = {
	All = {
		Aura = {
			ArcaneIntellect = 1459,
			FrostNova = 122,
			Hypothermia = 41425,
			IceBlock = 45438,
			IncantersFlow = 1463,
			Invisibility = 66,
			Polymorph = 118,
			PrismaticCloak = 198065,
			RemoveCurse = 475,
			RingOfFrost = 82691,
			RuneOfPower = 116014,
			SlowFall = 130,
			Spellsteal = 30449,
			TemporalDisplacement = 80354,
			TemporalShield = 198111,
			TimeWarp = 80353,
		},
		Spell = {
			ArcaneIntellect = { 1459, 1.5 },
			ArcaneLinguist = { 210086, 0 },
			Blink = { 1953, 1.5 },
			ConjureRefreshment = { 190336, 1.5 },
			Counterspell = { 2139, 0 },
			FrostNova = { 122, 1.5 },
			IceBlock = { 45438, 1.5 },
			Illusion = { 131784, 0 },
			Invisibility = { 66, 1.5 },
			Polymorph = { 118, 1.5 },
			RemoveCurse = { 475, 1.5 },
			SlowFall = { 130, 1.5 },
			Spellsteal = { 30449, 1.5 },
			TimeWarp = { 80353, 0 },
			Waterbolt = { 31707, 1 },	
		},
		Talent = {
			-- Active Talents
			MirrorImage = { 55342, 1.5 },
			RingOfFrost = { 113724, 1.5 },
			RuneOfPower = { 116011, 1.5 },
			Shimmer = { 212653, 0 },

			-- Passive Talents
			IncantersFlow = { 1463, 0 },
			IceWard = { 205036, 0 },
		},
		Totem = {
			[116011] = 116014,
		},
	},

	[62] = { -- Arcane
		Aura = {
			ArcaneFamiliar = 210126,
			ArcanePower = 12042,
			ChronoShift = 236298,
			Clearcasting = 263725,
			Evocation = 12051,
			GreaterInvisibility = 110960,
			MassInvisibility = 198158,
			NetherTempest = 114923,
			PresenceOfMind = 205025,
			PrismaticBarrier = 235450,
			RuleOfThrees = 264774,
			Slow = 31589,
			TouchOfTheMagi = 210824,
		},
		Spell = {
			ArcaneBarrage = { 44425, 1.5 },
			ArcaneBlast = { 30451, 1.5 },
			ArcaneExplosion = { 1449, 1.5 },
			ArcaneMissiles = { 5143, 1.5 },
			ArcanePower = { 12042, 1.5 },
			Displacement = { 195676, 1.5 },
			Evocation = { 12051, 1.5 },
			GreaterInvisibility = { 110959, 1.5 },
			PresenceOfMind = { 205025, 0 },
			PrismaticBarrier = { 235450, 1.5 },
			Savant = { 190740, 0 },
			Slow = { 31589, 1.5 },
		},
		Talent = {
			-- Active Talents
			ArcaneFamiliar = { 205022, 1.5 },
			ArcaneOrb = { 153626, 1.5 },
			ChargedUp = { 205032, 1.5 },
			NetherTempest = { 114923, 1.5 },
			Supernova = { 157980, 1.5 },

			--  Passive Talents
			Amplification = { 236628, 0 },
			ChronoShift = { 235711, 0 },
			ManaShield = { 235463, 0 },
			Overpowered = { 155147, 0 },
			Resonance = { 205028, 0 },
			Reverberate = { 281482, 0 },
			RuleOfThrees = { 264354, 0 },
			Slipstream = { 236457, 0 },
			TimeAnomaly = { 210805, 0 },
			TouchOfTheMagi = { 210725, 0 },
		},
	},

	[63] = { -- Fire
		Aura = {
			BlastWave = 157981,
			BlazingBarrier = 235313,
			Combustion = 190319,
			Conflagrate = 226757,
			DragonsBreath = 31661,
			EnhancedPyrotechnics = 157644,
			Flamestrike = 2120,
			FreneticSpeed = 236060,
			HeatingUp = 48107,
			HotStreak = 48108,
			Ignite = 12654,
			LivingBomb = 217694,
			MeteorBurn = 155158,
			Pyroclasm = 269651,
			Tinder = 203277,
		},
		CreateAura = {
			[133] = {{ 48107, 48108 }, 190319 }, -- Fireball
			[2948] = {{ 48107, 48108 }, 190319 }, -- Scorch
			[11366] = {{ 48107, 48108 }, 190319 }, -- Pyroblast
			[108853] = {{ 48107, 48108 }, nil }, -- Fire Blast Heating Up/Hot Streak
			[257541] = {{ 48107, 48108 }, nil }, -- Phoenixs Flames Heating Up/Hot Streak
		},
		ConsumeAura = {
			[133] = 48107, -- Fireball
			[2120] = 48108, -- Flamestrike Hot Streak
			[2948] = 48107, -- Scorch
			[11366] = 48108, -- Pyroblast Hot Streak
			[108853] = 48107, -- Fire Blast Heating Up
			[257541] = 48107, -- Phoenixs Flames Heating Up
		},
		Spell = {
			BlazingBarrier = { 235313, 1.5 },
			Cauterize = { 86949, 0 },
			Combustion = { 190319, 0 },
			CriticalMass = { 117216, 0 },
			DragonsBreath = { 31661, 1.5 },
			EnhancedPyrotechnics = { 157642, 0 },
			FireBlast = { 108853, 0 },
			Fireball = { 133, 1.5 },
			Flamestrike = { 2120, 1.5 },
			HotStreak = { 195283, 0 },
			Ignite = { 12846, 0 },
			Pyroblast = { 11366, 1.5 },
			Scorch = { 2948, 1.5 },
		},
		Talent = {
			-- Active Talents
			BlastWave = { 157981, 1.5 },
			LivingBomb = { 44457, 1.5 },
			Meteor = { 153561, 1.5 },
			PhoenixFlames = { 257541, 1.5 },

			-- Passive Talents
			AlexstraszasFury = { 235870, 0 },
			BlazingSoul = { 235365, 0 },
			Conflagration = { 205023, 0 },
			Firestarter = { 205026, 0 },
			FlameOn = { 205029, 0 },
			FlamePatch = { 205037, 0 },
			FreneticSpeed = { 236058, 0 },
			Kindling = { 155148, 0 },
			Pyroclasm = { 269650, 0 },
			Pyromaniac = { 205020, 0 },
			SearingTouch = { 269644, 0 },
		},
	},

	[64] = { -- Frost
		Aura = {
			BoneChilling = 205766,
			BrainFreeze = 190446,
			BurstOfCold = 206432,
			ChainReaction = 278310,
			Chilled = 205708,
			ConeOfCold = 212792,
			FingersOfFrost = 44544,
			Flurry = 228354,
			Freeze = 33395,
			FreezingRain = 270232,
			GlacialSpike = 228600,
			IceBarrier = 11426,
			IceFloes = 108839,
			IceForm = 198144,
			IceNova = 157997,
			Icicles = 205473,
			IcyVeins = 12472,
			RayOfFrost = 205021,
			WintersChill = 228358,
		},
		Spell = {
			Blizzard = { 190356, 1.5 },
			BrainFreeze = { 190447, 0 },
			ColdSnap = { 235219, 0 },
			ConeOfCold = { 120, 1.5 },
			FingersOfFrost = { 112965, 0 },
			FireBlast = { 108853, 0 },
			Flurry = { 44614, 1.5 },
			Freeze = { 33395, 0 },
			Frostbolt = { 116, 1.5 },
			FrozenOrb = { 84714, 1.5 },
			IceBarrier = { 11426, 1.5 },
			IceLance = { 30455, 1.5 },
			Icicles = { 76613, 0 },
			IcyVeins = { 12472, 1.5 },
			Shatter = { 12982, 0 },
			SummonWaterElemental = { 31687, 1.5 },
		},
		Talent = {
			-- Active Talents
			CometStorm = { 153595, 1.5 },
			Ebonbolt = { 257537, 1.5 },
			GlacialSpike = { 199786, 1.5 },
			IceFloes = { 108839, 0 },
			IceNova = { 157997, 1.5 },
			RayOfFrost = { 205021, 1.5 },

			-- Passive Talents
			BoneChilling = { 205027, 0 },
			ChainReaction = { 278309, 0 },
			FreezingRain = { 270233, 0 },
			FrigidWinds = { 235224, 0 },
			FrozenTouch = { 205030, 0 },
			GlacialInsulation = { 235297, 0 },
			LonelyWinter = { 205024, 0 },
			SplittingIce = { 56377, 0 },
			ThermalVoid = { 155149, 0 },
		},
	},
};