-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded, Hekili style requires full processing so don't run if this is not enabled.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) and addon.Core.Settings.GetAccountValue("AddonSettings", "useFullProcessing") == 1 then
	addonTable.WeakAuras.Styles.Hekili.Data.Icons.LERH_Bloodlust = {
		ID = {
			["id"] = "LERH_Bloodlust",
			["parent"] = "LERH_Hekili",
			["regionType"] = "icon",
		},
		Editable = {
			-- Positioning
			["height"] = 80,
			["width"] = 80,
			["xOffset"] = 0,
			["yOffset"] = 125,

			-- Other elements such as fonts, number of decimal places, etc...
			["alpha"] = 1,
			["cooldown"] = false,
			["displayIcon"] = "Interface\\Icons\\ability_mage_timewarp",
			["inverse"] = false,
			["progressPrecision"] = 1,
			["text1"] = "%p\n",
			["text1Color"] = {
				[1] = 0.05,
				[2] = 1,
				[3] = 0,
				[4] = 1,
			},
			["text1Containment"] = "OUTSIDE",
			["text1FontFlags"] = "OUTLINE",
			["text1FontSize"] = 30,
			["text1Point"] = "CENTER",
			["text2"] = "%p\n",
			["text2Enabled"] = false,
			["text2FontFlags"] = "OUTLINE",
			["text2FontSize"] = 24,
			["text2Point"] = "CENTER",
		},
		Uneditable = {
			["activeTriggerMode"] = 0,
			["additional_triggers"] = {},
			["customText"] = "function()\n    return name\nend",
			["customTextUpdate"] = "update",
			["trigger"] = {
				["buffShowOn"] = "showOnActive",
				["custom"] = "",
				["custom_type"] = "status",
				["customName"] = "function()\n    return \"Bloodlust\"\nend",
				["customTexture"] = "",
				["duration"] = "40",
				["events"] = "COMBAT_LOG_EVENT_UNFILTERED",
				["names"] = {
					[1] = "Bloodlust",
					[2] = "Heroism",
					[3] = "Time Warp",
					[4] = "Primal Rage",
					[5] = "Drums of Fury",
				},
				["spellName"] = "Bloodlust",
				["type"] = "aura",
				["use_unit"] = true,
				["unevent"] = "timed",
				["use_spellName"] = true,
			},
			["untrigger"] = {},
		},
	};
end