-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded, Hekili style requires full processing so don't run if this is not enabled.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) and addon.Core.Settings.GetAccountValue("AddonSettings", "useFullProcessing") == 1 then
	addonTable.WeakAuras.Styles.Hekili.Data.Texts.LERH_TimeToDie = {
		ID = {
			["id"] = "LERH_TimeToDie",
			["parent"] = "LERH_Hekili",
			["regionType"] = "text",
		},
		Editable = {
			["height"] = 12.0000896453857,
			["width"] = 10.9999504089355,
			["xOffset"] = 75,
			["yOffset"] = -70,
		},
		Uneditable = {
			["customText"] = "function()\n    local addon = LunaEclipse_Rotation;\n    \n    if addon and addon.TTD then\n        return string.format(\"Time to Die: %s\", addon.TTD);\n    end\n    \n    return \"\";\nend",
			["trigger"] = {
				["custom"] = "function(event, Enabled)\n    if Enabled then \n        return true; \n    end\nend",
				["custom_hide"] = "custom",
				["custom_type"] = "event",
				["events"] = "LERH_TEXTS_UPDATE",
				["type"] = "custom",
				["unevent"] = "custom",
			},
			["untrigger"] = {
				["custom"] = "function(event, Enabled)\n    if not Enabled then \n        return true; \n    end\nend",
			},
		},
	};
end