-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Styles.LunaEclipse.Data.Texts.LERH_DamageMagic = {
		ID = {
			["id"] = "LERH_DamageMagic",
			["parent"] = "LERH_LunaEclipse",
			["regionType"] = "text",
		},
		Editable = {
			["height"] = 12.0000896453857,
			["width"] = 10.9999504089355,
			["xOffset"] = 0,
			["yOffset"] = -100,
		},
		Uneditable = {
			["customText"] = "function()\n    local addon = LunaEclipse_Rotation;\n    \n    if addon and addon.MagicDamagePredicted then\n        return string.format(\"Magic Damage: %s%%\", addon.MagicDamagePredicted);\n    end\n    \n    return \"\";\nend",
			["trigger"] = {
				["custom"] = "function(event, Enabled)\n    if Enabled then \n        return true; \n    end\nend",
				["custom_hide"] = "custom",
				["custom_type"] = "event",
				["events"] = "LERH_TEXTS_UPDATE",
				["type"] = "custom",
				["unevent"] = "custom",
			},
			["untrigger"] = {
				["custom"] = "function(event, Enabled)\n    if not Enabled then \n        return true; \n    end\nend",
			},
		},
	};
end